
package de.ivu.elect.was.exchange.internet.velocity;

import java.math.BigDecimal;

import javax.annotation.Nullable;

import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;

@Deprecated // ELECT-7126 alte Internetpräsentation
public class PolitischeGruppeProzentGewinnVerlust {

  private final PolitischeGruppe politischeGruppe;

  private final Long anzahl;

  private final Long anzahlNurUrnenwahl;

  private final Long anzahlNurBriefwahl;

  private final BigDecimal anteil;

  private final boolean absoluteMehrheitErreicht;

  private final Long anzahlVorperiode;

  private final BigDecimal gewinnVerlust;

  public PolitischeGruppeProzentGewinnVerlust(PolitischeGruppe politischeGruppe, Long anzahl, Long anzahlNurUrnenwahl, Long anzahlNurBriefwahl, @Nullable BigDecimal anteil,
      boolean absoluteMehrheitErreicht, @Nullable BigDecimal gewinnVerlust, Long anzahlVorperiode) {
    super();

    this.politischeGruppe = politischeGruppe;

    this.anzahl = anzahl;
    this.anzahlNurUrnenwahl = anzahlNurUrnenwahl;
    this.anzahlNurBriefwahl = anzahlNurBriefwahl;

    this.anteil = anteil;

    this.absoluteMehrheitErreicht = absoluteMehrheitErreicht;

    this.anzahlVorperiode = anzahlVorperiode;

    this.gewinnVerlust = gewinnVerlust;
  }

  public PolitischeGruppe getPolitischeGruppe() {
    return politischeGruppe;
  }

  public Long getAnzahl() {
    return anzahl;
  }

  public Long getAnzahlNurUrnenwahl() {
    return anzahlNurUrnenwahl;
  }

  public Long getAnzahlNurBriefwahl() {
    return anzahlNurBriefwahl;
  }

  @Nullable
  public BigDecimal getAnteil() {
    return anteil;
  }

  public boolean isAbsoluteMehrheitErreicht() {
    return absoluteMehrheitErreicht;
  }

  public Long getAnzahlVorperiode() {
    return anzahlVorperiode;
  }

  @Nullable
  public BigDecimal getGewinnVerlust() {
    return gewinnVerlust;
  }
}
